> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Comments

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /gists/{gist_id}/comments`](https://docs.github.com/enterprise-cloud@latest/rest/gists/comments#list-gist-comments) <SupportStatus status="never" /> <Badge color="blue" size="sm">UAT</Badge> - List gist comments
* [`POST /gists/{gist_id}/comments`](https://docs.github.com/enterprise-cloud@latest/rest/gists/comments#create-a-gist-comment) <SupportStatus status="never" /> <Badge color="blue" size="sm">UAT</Badge> - Create a gist comment
* [`GET /gists/{gist_id}/comments/{comment_id}`](https://docs.github.com/enterprise-cloud@latest/rest/gists/comments#get-a-gist-comment) <SupportStatus status="never" /> <Badge color="blue" size="sm">UAT</Badge> - Get a gist comment
* [`PATCH /gists/{gist_id}/comments/{comment_id}`](https://docs.github.com/enterprise-cloud@latest/rest/gists/comments#update-a-gist-comment) <SupportStatus status="never" /> <Badge color="blue" size="sm">UAT</Badge> - Update a gist comment
* [`DELETE /gists/{gist_id}/comments/{comment_id}`](https://docs.github.com/enterprise-cloud@latest/rest/gists/comments#delete-a-gist-comment) <SupportStatus status="never" /> <Badge color="blue" size="sm">UAT</Badge> - Delete a gist comment
